BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 07-23-2009, 10:11 PM   #1 (permalink)
New Member
 
Join Date: Jul 2009
Model: 8830
PIN: N/A
Carrier: Telus
Posts: 9
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default Releasing with Library

Please Login to Remove!

Hello.

I built an application that uses the ksoap library. When I go to the URL of my application to download it onto my blackberry, it say "This application requires the following module, which is not installed: ksoap2-j2me-core-2.1.2.jar". If I install it first, and then my application, it works fine.

Is there a way to include ksoap in my release so I only have to install it once?

Stephen
Offline  
Old 07-24-2009, 10:13 AM   #2 (permalink)
BlackBerry Extraordinaire
 
Join Date: Mar 2008
Location: Austin, TX
Model: 9700
PIN: N/A
Carrier: T-Mobile
Posts: 1,644
Post Thanks: 0
Thanked 34 Times in 33 Posts
Default

You'll have to add this module to your JAD file.
Offline  
Old 07-24-2009, 06:09 PM   #3 (permalink)
New Member
 
Join Date: Jul 2009
Model: 8830
PIN: N/A
Carrier: Telus
Posts: 9
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Do I just add it in manually? If so, where do I put it and what do I call it? Currently, in my JAD file, the only thing that references ksoap is this line:

Code:
RIM-COD-Module-Dependencies: net_rim_cldc,net_rim_locationapi,ksoap2-j2me-core-2.1.2
Stephen
Offline  
Closed Thread


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On





Copyright 2004-2014 BlackBerryForums.com.
The names RIM and BlackBerry are registered Trademarks of BlackBerry Inc.